View Issue Details

IDProjectCategoryView StatusLast Update
0002118SketcherBugpublic2015-12-15 13:18
ReporterJamesMAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform64- bitOSWindowsOS Version7
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002118: Units conversion when using "Imperial decimal (in/lb)"
DescriptionWhen units is set to "Imperial decimal (in/lb)", sketching offset and extrusion distance are not correct. If an offset of 12 is entered as an offset, for example, and the sketch is created, the data->placement will then show that the sketch is offset 0.472441" (12 millimeters). The same thing happens if the sketch is extruded while in "Imperial decimal (in/lb)" mode.

The same happens sometimes when in "US customary (in/lb)" but not consistently. A 12" dimension is sometimes changed to 1 foot; when that happens, the offset remains at 1 foot. (I am not sure why the value sometimes converts to feet in this mode but that is beyond the scope of this report.)
Steps To Reproduce- Start a new file.
- From Edit->Preferences, select the "Imperial decimal (in/lb)" units mode.
- From the Sketcher or Part Design workbench, begin a new sketch in the X-Y plane with an offset value.
- Create some geometry and close the sketch.
- In the sketch's data properties, the Z position will be the the entered offset divided by 25.4.
- Extruding the new sketch should also create a part that is short by the same factor.
Additional InformationThis has also been tested in 0.16 and works the same way.

If this has already been reported, I apologize - I was not successful in doing a search for this.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 2a569497

2015-09-15 11:30:11

wmayer

Details Diff
+ fixes 0002118: Units conversion when using Imperial decimal (in/lb) Affected Issues
0002118
mod - src/Mod/Sketcher/Gui/SketchOrientationDialog.cpp Diff File
mod - src/Mod/Sketcher/Gui/SketchOrientationDialog.ui Diff File

Issue History

Date Modified Username Field Change
2015-05-23 21:53 JamesM New Issue
2015-09-15 09:30 wmayer Changeset attached => FreeCAD Master master 2a569497
2015-09-15 09:30 wmayer Assigned To => wmayer
2015-09-15 09:30 wmayer Status new => closed
2015-09-15 09:30 wmayer Resolution open => fixed
2015-12-15 13:18 yorik Fixed in Version => 0.16